Package ch.qos.logback.core.layout

# Class EchoLayout<E>

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.LayoutBase<E>
ch.qos.logback.core.layout.EchoLayout<E>

All Implemented Interfaces:
  `Layout<E>`, `ContextAware`, `LifeCycle`

public class EchoLayout<E> extends LayoutBase<E>
Echos the incoming object adding a line separator character(s) at the end.

Author:
  Ceki

## Field Summary

### Fields inherited from class ch.qos.logback.core.LayoutBase

`started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`EchoLayout()`

## Method Summary

Modifier and Type
Method
Description
`String`
`doLayout(E event)`
Transform an event (of type Object) and return it as a String after appropriate formatting.

### Methods inherited from class ch.qos.logback.core.LayoutBase

`getContentType, getContext, getFileFooter, getFileHeader, getPresentationFooter, getPresentationHeader, isStarted, setContext, setFileFooter, setFileHeader, setPresentationFooter, setPresentationHeader, start, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getDeclaredOrigin, getStatusManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn`

## Constructor Details

### EchoLayout

public EchoLayout()

## Method Details

### doLayout

public String doLayout(E event)
Description copied from interface: `Layout`
Transform an event (of type Object) and return it as a String after appropriate formatting.

Taking in an object and returning a String is the least sophisticated way of formatting events. However, it is remarkably CPU-effective.

Parameters:
  `event` - The event to format
Returns:
  the event formatted as a String